#ifndef JOKERMUSIKK_H
#define JOKERMUSIKK_H
#include <Arduino.h>

const int Output = 1;                                   // Can be 1 or 4


// Cater for 16MHz, 8MHz, or 1MHz clock:
const int Clock = ((F_CPU/1000000UL) == 16) ? 4 : ((F_CPU/1000000UL) == 8) ? 3 : 0;
const uint8_t scale[] PROGMEM = {239,226,213,201,190,179,169,160,151,142,134,127};

const uint8_t SKALA[][7] = {
  {0,2,4,5,7,9,11},
  {0,2,3,5,7,9,10},
  {0,1,3,5,7,8,10},
  {0,2,4,6,7,9,11},
  {0,2,4,5,7,9,10},
  {0,2,3,5,7,8,10},
  {0,1,3,5,6,8,10}};

const int treklang[][3] = {
  {0,2,4},
  {1,3,5},
  {2,4,6},
  {0,3,5},
  {1,4,6},
  {0,2,5},
  {1,3,6}};




void note (int n, int octave);



#endif 
